%global srcname outcome
%global _description %{expand:
Outcome provides a function for capturing the outcome of a Python function
call, so that it can be passed around.}

%bcond_without tests


Name:           python-%{srcname}
Version:        1.1.0
Release:    	2%{?dist}
Summary:        Capture the outcome of Python function calls
License:        MIT or ASL 2.0
URL:            https://github.com/python-trio/outcome
Source0:        %pypi_source
BuildArch:      noarch


%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  %{py3_dist pytest pytest-asyncio}
%endif


%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%if %{with tests}
%check
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst


%changelog
* Tue Sep 3 2024 Ze Zhang <bbrucezhang@tencent.com> - 1.1.0-2
- [Type] other
- [DESC] Remove not used macors

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-1
- initial build
